<template>
    <div class="disposal-event">
        <h3 class="panel-title">事件基本信息</h3>
        <el-form ref="form" :model="form" label-width="100px">
            <el-form-item label="事件名称：" prop="nameOfEvent">
                <label>{{ form.nameOfEvent }}</label>
            </el-form-item>
            <el-row>
                <el-col :span="12">
                    <el-form-item label="事件位置：" prop="eventLocation">
                        <label>{{ form.eventLocation }}</label>
                    </el-form-item>
                </el-col>
                <el-col :span="12">
                    <el-form-item label="位置描述：" prop="positionDesc">
                        <label>{{ form.positionDesc }}</label>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-row>
                <el-col :span="12">
                    <el-form-item label="事件单位：" prop="incidentUnit">
                        <label>{{ form.incidentUnit }}</label>
                    </el-form-item>
                </el-col>
                <el-col :span="12">
                    <el-form-item label="事发时间：" prop="atTime">
                        <label>{{ form.atTime }}</label>
                    </el-form-item>
                </el-col>
            </el-row>
            <el-form-item label="事件描述：" prop="eventDesc" class="fixed-width">
                <label>{{ form.eventDesc }}</label>
            </el-form-item>
            <el-form-item label="附件：" prop="upload">
                <label>
                    <a href="javascript:;">附件</a>
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    <a href="javascript:;">附件</a>
                </label>
            </el-form-item>
        </el-form>
        <h3 class="panel-title">预案匹配</h3>
        <el-table :data="tableData" style="width: 100%">
            <el-table-column prop="name" label="预案名称"></el-table-column>
            <el-table-column prop="define" label="预案定义"></el-table-column>
            <el-table-column prop="hierarchy" label="预案层级"></el-table-column>
            <el-table-column prop="classification" label="预案分类"></el-table-column>
            <el-table-column label="附件">
                <template>
                    <a href="javascript:;">预案</a>
                </template>
            </el-table-column>
        </el-table>
        <div class="event-management">
            <el-button type="primary" size="mini" @click="ToManagement">事件管理</el-button>
            <el-button size="mini" @click="close()">关闭</el-button>
        </div>
    </div>
</template>

<script>

import eventBus from '../../../eventBus'

export default {
  name: 'DisposalEvent',
  data () {
    return {
      form: {
        nameOfEvent: '***************事件',
        eventLocation: '**********装置',
        positionDesc: '**********装置',
        incidentUnit: '**********部门',
        atTime: '2021年5月24日 10:27',
        eventDesc: '事件描述事件描述事件描述事件描述'
      },
      tableData: [
        {
          name: '预案A',
          define: '综合预案',
          hierarchy: '二级单位',
          classification: '环保'
        },
        {
          name: '预案B',
          define: '专项预案',
          hierarchy: '直属企业',
          classification: '环保'
        },
        {
          name: '预案C',
          define: '现场处置预案',
          hierarchy: '基层单位',
          classification: '生产'
        },
        {
          name: '预案D',
          define: '现场处置预案',
          hierarchy: '基层单位',
          classification: '生产'
        },
        {
          name: '预案E',
          define: '现场处置预案',
          hierarchy: '基层单位',
          classification: '生产'
        }
      ]
    }
  },
  methods: {
    // 事件管理页面跳转
    ToManagement () {
      eventBus.$emit('events-reported', true)
    },
    // 页面关闭
    close () {
      window.$layer.open({
        content: {
          comp: '',
          parent: this,
          data: { // 传递的参数
            // info: this.info
          }
        },
        title: ''
      })
    }
  }
}
</script>

<style lang="less" scoped>
    .fixed-width {
        width: 3.2459893rem;
        min-width: 3.2459893rem;
    }

    /deep/ .el-form-item {
        margin: 5px 0;
    }

    /deep/ .el-form-item__label {
        color: @color;
        font-size: 0.08rem;
    }

    .event-management {
        text-align: right;
        margin: 15px;
    }
</style>
